Bug 549186 - [abrt] crash detected in python-bugzilla-0.5.1-3.fc12
[abrt] crash detected in python-bugzilla-0.5.1-3.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:c2c385a5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-20 14:50 EST by Andrew Hecox
Modified: 2011-01-06 07:00 EST (History)
3 users (show)

See Also:
Fixed In Version: python-bugzilla-0.6.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 18:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.21 KB, text/plain)
2009-12-20 14:50 EST, Andrew Hecox
no flags Details
backtrace (1.08 KB, text/plain)
2011-01-06 07:00 EST, prashant ingale
no flags Details

  None (edit)
Description Andrew Hecox 2009-12-20 14:50:19 EST
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. run: 'bugzilla query'


backtrace
-----
Summary: TBc2c385a5 xmlrpclib.py:838:close:Fault: <Fault 507: 'You may not search, or create saved searches, without any search terms.'>

Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 595, in <module>
    main()
  File "/usr/bin/bugzilla", line 449, in main
    buglist = bz.query(q)
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 502, in query
    r = self._query(query)
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 414, in _query
    return self._proxy.Bug.search(query)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 957, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
Fault: <Fault 507: 'You may not search, or create saved searches, without any search terms.'>

Local variables in innermost frame:
self: <xmlrpclib.Unmarshaller instance at 0xb745deac>

cmdline: /usr/bin/python /usr/bin/bugzilla query help 
component: python-bugzilla
executable: /usr/bin/bugzilla
kernel: 2.6.31.6-166.fc12.i686.PAE
package: python-bugzilla-0.5.1-3.fc12
uuid: c2c385a5
Comment 1 Andrew Hecox 2009-12-20 14:50:21 EST
Created attachment 379508 [details]
File: backtrace
Comment 2 Will Woods 2010-04-08 11:15:07 EDT
This error is ugly but harmless; it means you forgot to pass a valid argument to the command. Try --help.

This traceback should be fixed in python-bugzilla git. The fix will appear in the next release.

Thanks for the report.
Comment 3 Adam Williamson 2010-04-16 14:18:52 EDT
Package: python-bugzilla-0.6.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Try to do a modify operation without being logged in
2.
3.


Comment
-----
Obviously this will fail, but the failure should be caught and nicely reported, it shouldn't trace back.
Comment 4 Will Woods 2010-04-16 15:19:26 EDT
This should be fixed in python-bugzilla-0.6.1, which is in koji. Working on putting it into an update now.
Comment 5 Fedora Update System 2010-04-16 15:26:46 EDT
python-bugzilla-0.6.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-bugzilla-0.6.1-1.fc13
Comment 6 Fedora Update System 2010-04-20 09:29:43 EDT
python-bugzilla-0.6.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bugzilla'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bugzilla-0.6.1-1.fc13
Comment 7 Fedora Update System 2010-04-22 18:35:05 EDT
python-bugzilla-0.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 prashant ingale 2011-01-06 07:00:49 EST
Created attachment 472040 [details]
backtrace

Note You need to log in before you can comment on or make changes to this bug.